<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: PWM_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">PWM_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga7bf7d727d4a434b4ee8157a2e7f9ec81"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7bf7d727d4a434b4ee8157a2e7f9ec81">PRES</a></td></tr>
<tr class="separator:ga7bf7d727d4a434b4ee8157a2e7f9ec81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga575284c06ad67e614037859cf59f6993"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga575284c06ad67e614037859cf59f6993">CLKSEL</a></td></tr>
<tr class="separator:ga575284c06ad67e614037859cf59f6993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a5218f3d6ce38a982289ba890e94ebc"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0a5218f3d6ce38a982289ba890e94ebc">CTL</a></td></tr>
<tr class="separator:ga0a5218f3d6ce38a982289ba890e94ebc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1fbc063a076e84e9b8f17ebcee04879e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1fbc063a076e84e9b8f17ebcee04879e">INTEN</a></td></tr>
<tr class="separator:ga1fbc063a076e84e9b8f17ebcee04879e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac535addafa0eb3c00a1fba2f4d845451"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac535addafa0eb3c00a1fba2f4d845451">INTSTS</a></td></tr>
<tr class="separator:gac535addafa0eb3c00a1fba2f4d845451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6615e3d0c9a7c79f9586507567ca43c8"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga6615e3d0c9a7c79f9586507567ca43c8">OE</a></td></tr>
<tr class="separator:ga6615e3d0c9a7c79f9586507567ca43c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga880146e1f82cd56ac83fea85f285e086"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga880146e1f82cd56ac83fea85f285e086">RESERVE0</a> [1]</td></tr>
<tr class="separator:ga880146e1f82cd56ac83fea85f285e086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e445593e42699eb743ebe6ded0d416e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1e445593e42699eb743ebe6ded0d416e">DUTY0</a></td></tr>
<tr class="separator:ga1e445593e42699eb743ebe6ded0d416e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac492ca9fe4d8ec74273c1e1a5e783316"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac492ca9fe4d8ec74273c1e1a5e783316">DATA0</a></td></tr>
<tr class="separator:gac492ca9fe4d8ec74273c1e1a5e783316"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32f14231d09f9f6b951ac21635f5d01e"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga32f14231d09f9f6b951ac21635f5d01e">RESERVE1</a> [1]</td></tr>
<tr class="separator:ga32f14231d09f9f6b951ac21635f5d01e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15e419d84971c3dd1a5e11672102f8d3"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga15e419d84971c3dd1a5e11672102f8d3">DUTY1</a></td></tr>
<tr class="separator:ga15e419d84971c3dd1a5e11672102f8d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9db243709384d923303b4750e8593015"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9db243709384d923303b4750e8593015">DATA1</a></td></tr>
<tr class="separator:ga9db243709384d923303b4750e8593015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd8ea3e41c0de5046768e097edad6074"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabd8ea3e41c0de5046768e097edad6074">RESERVE2</a> [1]</td></tr>
<tr class="separator:gabd8ea3e41c0de5046768e097edad6074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6147d61adbaeeda64cb1b628d74e771"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gad6147d61adbaeeda64cb1b628d74e771">DUTY2</a></td></tr>
<tr class="separator:gad6147d61adbaeeda64cb1b628d74e771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf13cceaac2f36d56edf9a4e568056b22"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf13cceaac2f36d56edf9a4e568056b22">DATA2</a></td></tr>
<tr class="separator:gaf13cceaac2f36d56edf9a4e568056b22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0539e3b4a1138b2f6fefbef4bab09d1e"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0539e3b4a1138b2f6fefbef4bab09d1e">RESERVE3</a> [1]</td></tr>
<tr class="separator:ga0539e3b4a1138b2f6fefbef4bab09d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga98e5ffc188d1b543dc3cbe0557100aba"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga98e5ffc188d1b543dc3cbe0557100aba">DUTY3</a></td></tr>
<tr class="separator:ga98e5ffc188d1b543dc3cbe0557100aba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff8373e6eafa04a9b75ffc36188fffca"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaff8373e6eafa04a9b75ffc36188fffca">DATA3</a></td></tr>
<tr class="separator:gaff8373e6eafa04a9b75ffc36188fffca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22b0ee7cf9f53c86810622215189a9f5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga22b0ee7cf9f53c86810622215189a9f5">RESERVE4</a> [3]</td></tr>
<tr class="separator:ga22b0ee7cf9f53c86810622215189a9f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd90a09a831b62d48dd09b92395997cb"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gadd90a09a831b62d48dd09b92395997cb">CAPCTL</a></td></tr>
<tr class="separator:gadd90a09a831b62d48dd09b92395997cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60536c86136f09a69087306a65b6f9f4"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga60536c86136f09a69087306a65b6f9f4">CAPINTEN</a></td></tr>
<tr class="separator:ga60536c86136f09a69087306a65b6f9f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c11ac4d6481b29e81e38f6288f7d3dc"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c11ac4d6481b29e81e38f6288f7d3dc">CAPINTSTS</a></td></tr>
<tr class="separator:ga0c11ac4d6481b29e81e38f6288f7d3dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29f9787deab9252b057fa563f3759187"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga29f9787deab9252b057fa563f3759187">CRL0</a></td></tr>
<tr class="separator:ga29f9787deab9252b057fa563f3759187"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa350009fd0f58831db2cf141cf5a81f2"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa350009fd0f58831db2cf141cf5a81f2">CFL0</a></td></tr>
<tr class="separator:gaa350009fd0f58831db2cf141cf5a81f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad72ee1e1b23d26cc06fe4868d4db611a"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gad72ee1e1b23d26cc06fe4868d4db611a">CRL1</a></td></tr>
<tr class="separator:gad72ee1e1b23d26cc06fe4868d4db611a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa61f9f184253185fef38f0df2d1806f"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafa61f9f184253185fef38f0df2d1806f">CFL1</a></td></tr>
<tr class="separator:gafa61f9f184253185fef38f0df2d1806f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga504a797400871a6f73459f37a0810794"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga504a797400871a6f73459f37a0810794">CRL2</a></td></tr>
<tr class="separator:ga504a797400871a6f73459f37a0810794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45f84dd5fd63d4b4f5365441cf7c4eb5"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga45f84dd5fd63d4b4f5365441cf7c4eb5">CFL2</a></td></tr>
<tr class="separator:ga45f84dd5fd63d4b4f5365441cf7c4eb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65842f44c6f7f39283c170bdb0ca328f"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga65842f44c6f7f39283c170bdb0ca328f">CRL3</a></td></tr>
<tr class="separator:ga65842f44c6f7f39283c170bdb0ca328f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45a7dcc8be3bef81caec04b1da0b0ca2"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga45a7dcc8be3bef81caec04b1da0b0ca2">CFL3</a></td></tr>
<tr class="separator:ga45a7dcc8be3bef81caec04b1da0b0ca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga00d3ed7d7a00052d7152ad8acb35a5d3"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga00d3ed7d7a00052d7152ad8acb35a5d3">PDMACH0</a></td></tr>
<tr class="separator:ga00d3ed7d7a00052d7152ad8acb35a5d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad03bb7e0395fd46d24e13d608dfb3518"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gad03bb7e0395fd46d24e13d608dfb3518">PDMACH2</a></td></tr>
<tr class="separator:gad03bb7e0395fd46d24e13d608dfb3518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e21b5d2c1786a4e8cfd8b5de0657327"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga8e21b5d2c1786a4e8cfd8b5de0657327">ADTRGEN</a></td></tr>
<tr class="separator:ga8e21b5d2c1786a4e8cfd8b5de0657327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga550b69893c2058e0876f85ff4be7263c"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga550b69893c2058e0876f85ff4be7263c">ADTRGSTS</a></td></tr>
<tr class="separator:ga550b69893c2058e0876f85ff4be7263c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup PWM Pulse Width Modulation Controller(PWM)
Memory Mapped Structure for PWM Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l05734">5734</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
